Description

Need to be able to edit new and existing data entities based on the metadata
descriptions found in the eml-entity metadata module. After interviewing the
user for the entity, attribute and constraint metadata, should be able to set up
a strongly typed table for data entry, and have the ability to output files in

the ASCII format indicated by the metadata physical file description.

History

#1 - 07/12/2001 05:11 PM - Matt Jones

Changed milestone for a number of morpho features that will not be able to be
completed by Beta 1 (ESA). Delaying these features to Beta 2.

#2 - 11/30/2001 02:19 PM - Matt Jones

Display finished. Editor to be implemented later.

#3 - 03/29/2002 12:58 PM - Dan Higgins

DataViewer class now allows the editing of existing text based tables; it will

also display image files (jpegs, gifs) if they are identified in the metadata. {Note: tables larger than 100,000 records are not editable.) This class now
gets

information for display and editing directly from metadata files.

Currently, only exisitng data can be edited. (l.e. cannot create new data using

metadata to create a new data table). Also, requested features like searching
and sorting have not been implemented.

#4 - 09/30/2002 01:29 PM - Dan Higgins

Current CVS version of Morpho addresses the issues described here.

#5 - 03/27/2013 02:13 PM - Redmine Admin
Original Bugzilla ID was 211
